# QAccessibleInterface Class Reference

### [com.trolltech.qt.gui package]

Inherits QAccessible.

### Constructor

- void QAccessibleInterface()

### Constructor Properties

- prototype: The QAccessibleInterface prototype object

### Prototype Object Properties

The QAccessibleInterface prototype object inherits properties from the QAccessible prototype object and also has the following properties.

- String actionText(int action, Text t, int child)
- int childAt(int x, int y)
- int childCount()
- bool doAction(int action, int child, List params)
- int indexOfChild(QAccessibleInterface arg__1)
- Object invokeMethod(Method method, int child, List params)
- bool isValid()
- int navigate(RelationFlag relation, int index, QAccessibleInterface iface)
- QObject object()
- QRect rect(int child)
- Relation relationTo(int child, QAccessibleInterface other, int otherChild)
- Role role(int child)
- void setText(Text t, int child, String text)
- State state(int child)
- Set supportedMethods()
- String text(Text t, int child)
- int userActionCount(int child)

### Instance Properties

QAccessibleInterface objects have no special properties beyond those inherited from the QAccessibleInterface prototype object.